Subject: bug#13582: [PATCH] stat: add ext4 to the ext2/ext3 list

From: Bob Proulx <[email-masked]>
Date: Wed, 30 Jan 2013 13:52:13 -0700

reopen 13582
severity 13582 wishlist
thanks

Bernhard Voelker wrote:
> I feel very sorry if my words were a bit harsh.
> 
> Admitted, you refer to this in README:
> 
>   If your patch adds a new feature, please try to get some sort of consensus
>   that it is a worthwhile change.  One way to do that is to send mail to
>   [email-masked] including as much description and justification
>   as you can.  Based on the feedback that generates, you may be able to
>   convince us that it's worth adding.

I think that text should be updated to reflect the current positioning
of the bug tracker behind the bug-coreutils address.  Let's do that in
a separate discussion not in this one about stat and ext*.

> Hmm, in my opinion and what I have experienced in the last 2+ year
> on the coreutils and bug-coreutils mailing lists, real bugs (or if
> the user thinks it is one) should be handled in bug-coreutils, while
> general discussion issues and topics including patches which need some
> consensus (or review) should go to the main coreutils mailing list.
> 
> But as Bob also stated off-list, your patch is some corner case:
> 
>   But it is a grey area needing a judgement call.  Certainly a
>   submission that is simply, "what do you think about this" would
>   be a discussion issue.
> 
> Sorry again.

And I had also said this there too:

  I think it is okay to have actual patch submissions open tickets for
  tracking.  Those are pretty rare in general.  When they implement
  features they can be marked as a wishlist item.  If that feature is
  decided not to be done then they can be marked as "wontfix".  For this
  particular item I think that may be more appropriate as the topic has
  come up more than once.

And so I have done that.  I didn't tag it wontfix because I am not
sure the discussion is complete to concensus yet.  Perhaps some
different but better behavior will result.

Bob